OOO = 0;
AAA = 1;
STA = 2;
INT = 3;
SPI = 4;
STR = 5;
HST = 6;
AGI = 7;
HIT = 8;
CRI = 9;
MAS = 10;
HEA = 11;
ATK = 12;
DMG = 13;

DDG = 14;
PAR = 15;
EXP = 16;
BLK = 17;
ARM = 18;

RES = 19;
SPP = 20;
PEN = 21;
RST = 22;
MAN = 23;

EEL_Stat = {
	[OOO] = _G["ALL"],
	[STA] = _G["ITEM_MOD_STAMINA_SHORT"],
	[INT] = _G["ITEM_MOD_INTELLECT_SHORT"],
	[SPI] = _G["ITEM_MOD_SPIRIT_SHORT"],
	[STR] = _G["ITEM_MOD_STRENGTH_SHORT"],
	[HST] = _G["ITEM_MOD_HASTE_RATING_SHORT"],
	[AGI] = _G["ITEM_MOD_AGILITY_SHORT"],
	[HIT] = _G["ITEM_MOD_HIT_RATING_SHORT"],
	[CRI] = _G["ITEM_MOD_CRIT_RATING_SHORT"],
	[MAS] = _G["ITEM_MOD_MASTERY_RATING_SHORT"],
	[DDG] = _G["ITEM_MOD_DODGE_RATING_SHORT"],
	[PAR] = _G["ITEM_MOD_PARRY_RATING_SHORT"],
	[EXP] = _G["ITEM_MOD_EXPERTISE_RATING_SHORT"],
	[BLK] = _G["ITEM_MOD_BLOCK_RATING_SHORT"],
	[RES] = _G["ITEM_MOD_RESILIENCE_RATING_SHORT"],
	[SPP] = _G["ITEM_MOD_SPELL_POWER_SHORT"],
	[PEN] = _G["ITEM_MOD_SPELL_PENETRATION_SHORT"],
	[ARM] = _G["ARMOR"],
	[HEA] = _G["SHOW_COMBAT_HEALING"],
	[ATK] = _G["ITEM_MOD_MELEE_ATTACK_POWER_SHORT"],
	[DMG] = _G["ITEM_MOD_SPELL_DAMAGE_DONE_SHORT"],
	[AAA] = EEL_LocaleText["allstats"],
	[RST] = _G["STAT_CATEGORY_RESISTANCE"],
	[MAN] = _G["ITEM_MOD_MANA_SHORT"]
}

OOO = 0;
HEAD = 1;
SHOULDER = 2;
CHEST = 3;
CLOAK = 4;
WRIST = 5;
HAND = 6;
LEGS = 7;
FEET = 8;
ONEHAND = 9;
TWOHAND = 10;
OFFHAND = 11;
SHIELD = 12;
--FINGER = 13;

EEL_Slot = {
	[OOO] = _G["ALL"],
	[HEAD] = _G["INVTYPE_HEAD"],
	[SHOULDER] = _G["INVTYPE_SHOULDER"],
	[CHEST] = _G["INVTYPE_CHEST"],
    [CLOAK] = _G["INVTYPE_CLOAK"],
    [WRIST] = _G["INVTYPE_WRIST"],
    [HAND] = _G["INVTYPE_HAND"],
	[LEGS] = _G["INVTYPE_LEGS"],
    [FEET] = _G["INVTYPE_FEET"],
    [ONEHAND] = _G["INVTYPE_WEAPON"],
    [TWOHAND] = _G["TWO_HANDED"],
    [OFFHAND] = _G["INVTYPE_SHIELD"],
	[SHIELD] = _G["SHIELDSLOT"]
    --[FINGER] = _G["INVTYPE_FINGER"]
}


EEL_Level = {
	[0] = _G["ALL"],
	[1] = "Classic",
	[2] = "BC",
	[3] = "WotLK",
	[4] = "Cataclysm"
}

EEL_Op = {
	[0] = "=",
	[1] = ">=",
	[2] = "<="
}


-- DETAILS CHECKBUTTON ------------------------------------------------

function EEL_CheckButtonDetails_OnClick(this)
	local i;
	if CheckButtonDetails:GetChecked() then
		EEL_Options["details"] = true;
	else 
		EEL_Options["details"] = false;
	end
	for i = 1, 15 do
		item = _G["EELItem_"..i];
		item:Hide();
	end
	EEL_ScrollBar_Update();
end

-- SLOT DROPDOWN ------------------------------------------------

function EEL_SlotDropDown_Init()
	entries = table.getn(EEL_Slot);
	for i=0,entries do
		info = {};
		value = i;
		text = EEL_Slot[i];
		info.value = value;
		info.text = text;
		info.func = EEL_SlotDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EEL_SlotDropDown_OnShow()
    UIDropDownMenu_Initialize(EEL_SlotDropDown, EEL_SlotDropDown_Init);
    UIDropDownMenu_SetSelectedID(EEL_SlotDropDown, EEL_Options["SelectedSlot"]+1);
    UIDropDownMenu_SetWidth(EEL_SlotDropDown, 150);
    EEL_ScrollBar_Update();
end

function EEL_SlotDropDown_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EEL_SlotDropDown, i);
    EEL_Options["SelectedSlot"] = i-1;
    EEL_ScrollBar_Update();
end

-- STAT DROPDOWN ------------------------------------------------

function EEL_StatDropDown_Init()
	entries = table.getn(EEL_Stat);
	for i=0,entries do
		info = {};
		value = i;
		text = EEL_Stat[i];
		info.text = text;
		info.value = value;
		info.func = EEL_StatDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EEL_StatDropDown_OnShow()
    UIDropDownMenu_Initialize(EEL_StatDropDown, EEL_StatDropDown_Init);
    UIDropDownMenu_SetSelectedID(EEL_StatDropDown, EEL_Options["SelectedStat"]+1);
    UIDropDownMenu_SetWidth(EEL_StatDropDown, 150);
    EEL_ScrollBar_Update();
end

function EEL_StatDropDown_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EEL_StatDropDown, i);
    EEL_Options["SelectedStat"] = i-1;
    EEL_ScrollBar_Update();
end



-- LEVEL OP ------------------------------------------------

function EEL_LevelOp_Init()
	entries = table.getn(EEL_Op);
	for i=0,entries do
		info = {};
		value = i;
		text = EEL_Op[i];
		info.value = value;
		info.text = text;
		info.func = EEL_LevelOp_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EEL_LevelOp_OnShow()
    UIDropDownMenu_Initialize(EEL_LevelOp, EEL_LevelOp_Init);
    UIDropDownMenu_SetSelectedID(EEL_LevelOp, EEL_Options["SelectedLevelOp"]+1);
    UIDropDownMenu_SetWidth(EEL_LevelOp, 40);
    EEL_ScrollBar_Update();
end

function EEL_LevelOp_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EEL_LevelOp, i);
    EEL_Options["SelectedLevelOp"] = i-1;
    EEL_ScrollBar_Update();
end

-- ITEMLEVEL DROPDOWN ------------------------------------------------

function EEL_LevelDropDown_Init()
	entries = table.getn(EEL_Level);
	if (EEL_Options["cataclysm"] == false) then
		entries = entries - 1;
	end
	for i=0,entries do
		info = {};
		value = i;
		text = EEL_Level[i];
		info.text = text;
		info.value = value;
		info.func = EEL_LevelDropDown_OnClick;
		UIDropDownMenu_AddButton(info);
	end
end

function EEL_LevelDropDown_OnShow()
    UIDropDownMenu_Initialize(EEL_LevelDropDown, EEL_LevelDropDown_Init);
    UIDropDownMenu_SetSelectedID(EEL_LevelDropDown, EEL_Options["SelectedLevel"]+1);
    UIDropDownMenu_SetWidth(EEL_LevelDropDown, 80);
    EEL_ScrollBar_Update();
end

function EEL_LevelDropDown_OnClick(this)
    i = this:GetID();
    UIDropDownMenu_SetSelectedID(EEL_LevelDropDown, i);
    EEL_Options["SelectedLevel"] = i-1;
    EEL_ScrollBar_Update();
end
